;
; HSP2.6 Default define and macros
;
#ifdef __hsp26__

#define global and &
#define global or |
#define global xor ^
#define global not !

#define global screen_normal 0
#define global screen_palette 1
#define global screen_hide 2
#define global screen_fixedsize 4
#define global screen_tool 8
#define global screen_frame 16

#define global gmode_gdi 0
#define global gmode_mem 1
#define global gmode_rgb0 2
#define global gmode_alpha 3
#define global gmode_rgb0alpha 4
#define global gmode_add 5
#define global gmode_sub 6

#define global ginfo_globalpos 0
#define global ginfo_active 1
#define global ginfo_winpos1 2
#define global ginfo_winpos2 3
#define global ginfo_scroll 4
#define global ginfo_winsize 5
#define global ginfo_drawsize 6
#define global ginfo_messize 7

#define global font_normal 0
#define global font_bold 1
#define global font_italic 2
#define global font_underline 4
#define global font_strikeout 8
#define global font_antialias 16

#define global objmode_normal 0
#define global objmode_guifont 1
#define global objmode_usefont 2
#define global objmode_border 16
#define global objmode_noedge 32
#define global objmode_nosel 64

#define global msgothic "lr SVbN"
#define global msmincho "lr "

#define global do  %tbreak %i0 %tcontinue %i0 %tdo *%i
#define global until(%1=1) %tcontinue *%o : %tdo if %1=0 { goto *%o } %tbreak *%o
#define global while(%1=1) %tcontinue %i0 %twhile *%i :%tbreak if %1=0 { goto *%i }
#define global wend %tcontinue *%o : %twhile goto *%o: %tbreak *%o
#define global for(%1,%2=0,%3=0,%4=1) %tcontinue %i0 %tfor %1=%2:*%i %s4 %s1 :%tbreak exgoto %1,%4,%3,*%i
#define global next %tcontinue *%o :%tfor %o +=%o :goto *%o :%tbreak *%o
#define global _break %tbreak goto *%p
#define global _continue %tcontinue goto *%p

#define global switch(%1) %tswitch %i0 %s1 if 0 {
#define global case(%1) %tswitch _switch_sw++ } if %p == %1 | _switch_sw { _switch_sw = 0
#define global default %tswitch } if 1 {
#define global swbreak %tswitch goto *%p1
#define global swend %tswitch %o0 } *%o

#endif
